#
# spec file for package raylib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           raylib
Version:        1.8.0
Release:        lp150.1.3
Summary:        C library for learning video game programming
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            http://www.raylib.com
Source:         https://github.com/raysan5/%{name}/archive/%{version}.tar.gz
BuildRequires:  Mesa-libGL-devel
BuildRequires:  libglfw-devel >= 3.2
BuildRequires:  meson >= 0.39.1
BuildRequires:  openal-soft-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A C library for learning video game programming.
raylib is inspired by the Borland BGI graphics library and by the XNA framework.

%package -n raylib-devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       openal-soft-devel
Requires:       libraylib1 = %{version}

%description -n raylib-devel
Development files and headers for %{name}.

%package -n libraylib1
Summary:        C library for learning video game programming
Group:          System/Libraries

%description -n libraylib1
A C library for learning video game programming.

%prep
%setup -q

%build
%{meson}
%{meson_build}

%install
%{meson_install}

%post -n libraylib1 -p /sbin/ldconfig
%postun -n libraylib1 -p /sbin/ldconfig

%files -n libraylib1
%defattr(-,root,root)
%{_libdir}/libraylib.so.1
%{_libdir}/libraylib.so.1.8.0

%files -n raylib-devel
%defattr(-,root,root)
%doc CHANGELOG README.md LICENSE.md
%{_includedir}/raylib.h
%{_libdir}/libraylib.so

%changelog
* Fri Nov  3 2017 jengelh@inai.de
- Description grammar update.
* Mon Oct 23 2017 mvetter@suse.com
- Update to 1.8.0:
  * New Image generation functions: Gradient, Checked, Noise, Cellular...
  * New Mesh generation functions: Cube, Sphere, Cylinder, Torus, Knot...
  * New Shaders and Materials systems to support PBR materials
  * Custom Android APK build pipeline with simple Makefile
  * Complete review of rlgl layer functionality
  * Complete review of raymath functionality
- Remove root-meson.build and src-meson.build: contained in new
  release
* Fri Sep  8 2017 jengelh@inai.de
- Update package summaries and RPM category.
* Tue Jun 13 2017 mvetter@suse.com
- BuildRequires:  libglfw-devel >= 3.2
  because glfwSetWindowMonitor etc only come in 3.2
* Sun Jun 11 2017 mvetter@suse.com
- Add option to meson file to build with gnu99 because:
  * CLOCK_MONOTONIC macro
  * var init in for loops (c99)
* Sun Jun 11 2017 mvetter@suse.com
- Remove raylig-use-optflags.patch: Using meson for build
* Thu Jun  8 2017 mvetter@suse.com
- Use meson to build raylib:
  * Takes care of creating proper so versioning
  * Install works (where their makefiles didnt)
- Add root-meson.build
- Add src-meson.build
  Meson files will be in next release, see:
  https://github.com/raysan5/raylib/pull/297
* Sun Jun  4 2017 mvetter@suse.com
- Move Requires openal-soft-devel to devel package
* Mon May 29 2017 mvetter@suse.com
- Add Requires: openal-soft-devel
  It will be needed when one uses raylib
* Mon May 29 2017 mvetter@suse.com
- Add OpenAL to BuildRequires
- Add raylig-use-optflags.patch: allow passing of optflags
  See: https://github.com/raysan5/raylib/pull/295
* Mon May 29 2017 mvetter@suse.com
- Inital package of raylib version 1.7.0
